Package weka.core

# Interface Copyable

All Known Implementing Classes:
  `Attribute`, `BestFirst.LinkedList2`, `BinarySparseInstance`, `FastVector`, `IndividualInstance`, `Instance`, `JRip.Antd`, `JRip.NominalAntd`, `JRip.NumericAntd`, `JRip.RipperRule`, `LFSMethods.LinkedList2`, `PrecomputedKernelMatrixKernel`, `Rule`, `SparseInstance`

public interface Copyable
Interface implemented by classes that can produce "shallow" copies of their objects. (As opposed to clone(), which is supposed to produce a "deep" copy.)

Version:
  $Revision: 1.6 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)

## Method Summary

Modifier and Type
Method
Description
`Object`
`copy()`
This method produces a shallow copy of an object.

## Method Details

### copy

Object copy()
This method produces a shallow copy of an object. It does the same as the clone() method in Object, which also produces a shallow copy.